> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team Billing Setup Intent

> Create a SetupIntent to add/replace the team's card (Admin only).



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/billing/setup-intent
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/billing/setup-intent:
    post:
      tags:
        - Teams
      summary: Create Team Billing Setup Intent
      description: Create a SetupIntent to add/replace the team's card (Admin only).
      operationId: >-
        create_team_billing_setup_intent_api_v1_teams__team_id__billing_setup_intent_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetupIntentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SetupIntentResponse:
      properties:
        client_secret:
          type: string
          title: Client Secret
      type: object
      required:
        - client_secret
      title: SetupIntentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````